Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.tz
Class ZoneInfoCompiler

    java.lang.Object
      org.joda.time.tz.ZoneInfoCompiler

    public class ZoneInfoCompiler

extends java.lang.Object

Compiles Olson ZoneInfo database files into binary files for each time zone in the database. `DateTimeZoneBuilder` is used to construct and encode compiled data files. `ZoneInfoProvider` loads the encoded files and converts them back into `DateTimeZone` objects.

Although this tool is similar to zic, the binary formats are not compatible. The latest Olson database files may be obtained here.

ZoneInfoCompiler is mutable and not thread-safe, although the main method may be safely invoked by multiple threads.

Since:
  1.0
Author:
  Brian S O'Neill

Constructor Summary
`ZoneInfoCompiler()`

Method Summary
`java.util.Map` | `compile(java.io.File outputDir, java.io.File[] sources)` Returns a map of ids to DateTimeZones.
`static void` | `main(java.lang.String[] args)` Launches the ZoneInfoCompiler tool.
`void` | `parseDataFile(java.io.BufferedReader in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZoneInfoCompiler

    public ZoneInfoCompiler()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Launches the ZoneInfoCompiler tool.

       Usage: java org.joda.time.tz.ZoneInfoCompiler <options> <source files>
       where possible options include:
         -src <directory>    Specify where to read source files
         -dst <directory>    Specify where to write generated files

  Throws:
    `java.lang.Exception`

### compile

    public java.util.Map compile(java.io.File outputDir,
                                 java.io.File[] sources)
                          throws java.io.IOException

  Returns a map of ids to DateTimeZones.

  Parameters:
    `outputDir` - optional directory to write compiled data files to
    `sources` - optional list of source files to parse
  Throws:
    `java.io.IOException`

### parseDataFile

    public void parseDataFile(java.io.BufferedReader in)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD